All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.commands
Class MapRectangularSelectCommand

    com.sas.actionprovider.commands.MapRectangularSelectCommand

All Implemented Interfaces:
  ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class MapRectangularSelectCommand

This class implements the map's select command.

Field Summary

Fields inherited from class com.sas.actionprovider.commands.MapBaseCommand
`contentsChanged, eventInfo, eventSource`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`MapRectangularSelectCommand(java.lang.String name)` Constructor that accepts a command name

Method Summary
`void` | `execute(java.lang.Object o)` This method implements the execute method on the CommandInterface, which is not implemented by the abstract Base classes.
`int` | `getClickX()`
`int` | `getClickY()`
`int` | `getCommandStatus(ActionSupportFilter filter)` Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter.
`int` | `getControlPressed()`
`int` | `getHeight()`
`java.lang.Object` | `getMapViewer()`
`int` | `getWidth()`
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Deprecated. Use getCommandStatus().
`void` | `setClickX(int clickX)`
`void` | `setClickY(int clickY)`
`void` | `setControlPressed(int control)`
`void` | `setHeight(int height)`
`void` | `setMapViewer(java.lang.Object mapViewer)`
`void` | `setWidth(int width)`

Methods inherited from class com.sas.actionprovider.commands.MapBaseCommand
`getEventInfo, getEventSource, isContentsChanged, setEventSource`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Constructor Detail

### MapRectangularSelectCommand

    public MapRectangularSelectCommand(java.lang.String name)

  Constructor that accepts a command name

  Parameters:
    `name` - command name

Method Detail

### execute

    public void execute(java.lang.Object o)

  This method implements the execute method on the CommandInterface, which is not implemented by the abstract Base classes. This method executes the query

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Overrides:
    `execute` in class `MapBaseCommand`
  Parameters:
    `o` - currently ignored

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Deprecated. Use getCommandStatus().

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.

  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.

### getCommandStatus

    public int getCommandStatus(ActionSupportFilter filter)

  Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter. If not enabled, the key indicates a reason why the command is not enabled.

  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    an int value indicating whether the command is enabled and, if not, why.

### getMapViewer

    public java.lang.Object getMapViewer()

  Returns:
    Returns the mapViewer.

### setMapViewer

    public void setMapViewer(java.lang.Object mapViewer)

  Parameters:
    `mapViewer` - The mapViewer to set.

### getClickX

    public int getClickX()

  Returns:
    Returns the clickX.

### setClickX

    public void setClickX(int clickX)

  Parameters:
    `clickX` - The clickX to set.

### getClickY

    public int getClickY()

  Returns:
    Returns the clickY.

### setClickY

    public void setClickY(int clickY)

  Parameters:
    `clickY` - The clickY to set.

### getHeight

    public int getHeight()

  Returns:
    Returns the height.

### setHeight

    public void setHeight(int height)

  Parameters:
    `height` - The height to set.

### getWidth

    public int getWidth()

  Returns:
    Returns the width.

### setWidth

    public void setWidth(int width)

  Parameters:
    `width` - The width to set.

### getControlPressed

    public int getControlPressed()

  Returns:
    Returns the control.

### setControlPressed

    public void setControlPressed(int control)

  Parameters:
    `control` - The control to set.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.